LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XPrinter Interface Referencepublished

represents a virtual printer. More...

`import"XPrinter.idl";`

Inheritance diagram for XPrinter:

## Public Member Functions
boolean | start ([in] string nJobName, [in] short nCopies, [in] boolean nCollate) raises ( com::sun::star::awt::PrinterException, com::sun::star::lang::IllegalArgumentException )
| puts the job into the printer spooler. More...
void | end () raises ( com::sun::star::awt::PrinterException )
| notifies the printer spooler that the job is done and printing starts. More...
void | terminate ()
| stops the current print job. More...
com::sun::star::awt::XDevice | startPage () raises ( com::sun::star::awt::PrinterException )
| begins with a new page. More...
void | endPage () raises ( com::sun::star::awt::PrinterException )
| ends the current page. More...
Public Member Functions inherited from XPrinterPropertySet
void | setHorizontal ([in] boolean bHorizontal) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException )
| sets the orientation. More...
sequence< string > | getFormDescriptions ()
| returns descriptions of all available printer forms. More...
void | selectForm ([in] string aFormDescription) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException )
| sets the form that should be used. More...
sequence< byte > | getBinarySetup ()
| returns a binary encoded version of the printer setup. More...
void | setBinarySetup ([in] sequence< byte > data) raises ( com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException )
| sets the data specific to the printer driver. More...
Public Member Functions inherited from XPropertySet
com::sun::star::beans::XPropertySetInfo | getPropertySetInfo ()
void | setPropertyValue ([in] string aPropertyName, [in] any aValue) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::beans::PropertyVetoException, com::sun::star::lang::IllegalArgumentException, com::sun::star::lang::WrappedTargetException )
| sets the value of the property with the specified name. More...
any | getPropertyValue ([in] string PropertyName) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
void | addPropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener xListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XPropertyChangeListener to the specified property. More...
void | removePropertyChangeListener ([in] string aPropertyName, [in] com::sun::star::beans::XPropertyChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XPropertyChangeListener from the listener list. More...
void | addVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| adds an XVetoableChangeListener to the specified property with the name PropertyName. More...
void | removeVetoableChangeListener ([in] string PropertyName, [in] com::sun::star::beans::XVetoableChangeListener aListener) raises ( com::sun::star::beans::UnknownPropertyException, com::sun::star::lang::WrappedTargetException )
| removes an XVetoableChangeListener from the listener list. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents a virtual printer.

All properties are vetoable properties. If you change the properties between a call to com::sun::star::awt::XPrinter::startPage() and a call to com::sun::star::awt::XPrinter::endPage(), a com::sun::star::beans::PropertyVetoException is thrown.

## Member Function Documentation

## ◆ end()

void end | ( |  | ) |
raises | ( | com::sun::star::awt::PrinterException
| ) |  |

notifies the printer spooler that the job is done and printing starts.

See also
  terminate

## ◆ endPage()

void endPage | ( |  | ) |
raises | ( | com::sun::star::awt::PrinterException
| ) |  |

ends the current page.

## ◆ start()

boolean start | ( | [in] string | nJobName,
|  | [in] short | nCopies,
|  | [in] boolean | nCollate
| ) |  |
raises | ( | com::sun::star::awt::PrinterException,
|  | com::sun::star::lang::IllegalArgumentException
| ) |  |

puts the job into the printer spooler.

This call may block the thread. So release all resources (mutex, semaphore, etc.) before this call.

## ◆ startPage()

com::sun::star::awt::XDevice startPage | ( |  | ) |
raises | ( | com::sun::star::awt::PrinterException
| ) |  |

begins with a new page.

## ◆ terminate()

void terminate | ( |  | ) |

stops the current print job.

If the method com::sun::star::awt::XPrinter::end() is called beforehand, then this call does nothing. If you call com::sun::star::awt::XPrinter::terminate() in or before the call to com::sun::star::awt::XPrinter::start(), com::sun::star::awt::XPrinter::terminate() returns `FALSE`. This call must not block the thread.

See also
  end

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XPrinter.idl